/*
 * GLUT Window demo
 *
 * Written by Alejandro Santiago November 2009
 *
 * This program is test how to create a simple GLUT
 * window and to draw a square.
 *
 */

// include the glut header for Apple or the rest
#ifdef __APPLE__
#include <GLUT/glut.h>
#else
#include <GL/glut.h>
#endif

#include <stdlib.h> // for the EXIT_SUCCESS global


/* GLUT callback Handlers */
void display(void)
{

    // Clear the screen to black
    glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);

    // Define the square color (pink in this case)
    glColor3f(1.0,.0,1.0);

    // creating the square
    glBegin(GL_POLYGON);
        glVertex3f(0.25, 0.25, 0.0);
        glVertex3f(0.75, 0.25, 0.0);
        glVertex3f(0.75, 0.75, 0.0);
        glVertex3f(0.25, 0.75, 0.0);
    glEnd();

    glutSwapBuffers();
}



/* Program entry point */
int main(int argc, char *argv[])
{
    //GLUT initialization
    glutInit(&argc, argv);

    //RGBA with double buffer
    glutInitDisplayMode(GLUT_RGB | GLUT_DOUBLE | GLUT_DEPTH);

    //Set the window size
    glutInitWindowSize(600,400);

    //Set the window position
    glutInitWindowPosition(100,100);

    // Create window
    glutCreateWindow("Our first glut window");

    // display glut callback
    glutDisplayFunc(display);


    glutMainLoop();

    return EXIT_SUCCESS;
}
